summaryrefslogtreecommitdiff
path: root/os/debian/postinst
diff options
context:
space:
mode:
authorbjarni <bjarni@openttd.org>2004-09-18 16:29:12 +0000
committerbjarni <bjarni@openttd.org>2004-09-18 16:29:12 +0000
commitd1a88cbbca61f017ebb21e3963240e1b8b76dc87 (patch)
tree4b7777894eeae4ab6637aee5ef2b00a4df800826 /os/debian/postinst
parentf5a50c0007f3940a289f3061e2945631912107e9 (diff)
downloadopenttd-d1a88cbbca61f017ebb21e3963240e1b8b76dc87.tar.xz
(svn r291) Minor fix to english.txt
added debian support (blathijs) improved make install (blathijs)
Diffstat (limited to 'os/debian/postinst')
-rw-r--r--os/debian/postinst45
1 files changed, 45 insertions, 0 deletions
diff --git a/os/debian/postinst b/os/debian/postinst
new file mode 100644
index 000000000..f3b229a19
--- /dev/null
+++ b/os/debian/postinst
@@ -0,0 +1,45 @@
+#! /bin/sh
+# postinst script for openttd
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+#
+
+case "$1" in
+ configure)
+ cat <<EOF
+Before running the game, you should copy the data files from the
+original TTD. See README.Debian for more details.
+EOF
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+